Delete saved objects
- Base URL
-
https://{kibana_url}
- POST /api/saved_objects/_bulk_delete
- POST /s/{space_id}/api/saved_objects/_bulk_delete
Warning
When you delete a saved object, it cannot be recovered.
https://{kibana_url}
When you delete a saved object, it cannot be recovered.
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
force
boolean
When true, force delete objects that exist in multiple namespaces. Note that the option applies to the whole request. Use the delete object API to specify per-object deletion behavior. TIP: Use this if you attempted to delete objects and received an HTTP 400 error with the following message: "Unable to delete saved object that exists in multiple namespaces, use the force option to delete it anyway". WARNING: When you bulk delete objects that exist in multiple namespaces, the API also deletes legacy url aliases that reference the object. These requests are batched to minimise the impact but they can place a heavy load on Kibana. Make sure you limit the number of objects that exist in multiple namespaces in a single bulk delete operation.
Type: object[]
Indicates a successful call. NOTE: This HTTP response code indicates that the bulk operation succeeded. Errors pertaining to individual objects will be returned in the response body.
Response Type: object
https://{kibana_url}